Quassel IRC - Bug #209

multiple lines in a buffer are sent automatically upon a paste
07/05/2008 02:23 PM - al

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version: 0.5.0

Version: 0.4.0 0S: Any
Description

multiple lines in a buffer are sent automatically upon a paste, which can result embarrassing or at least unwanted side effects

Related issues:
Related to Quassel IRC - Feature #213: Add a multiline write line with a toog... Resolved

Associated revisions

Revision f047a4f7add72ef7e32ad33f884e62a5773ecc72 - 08/16/2009 01:03 PM - Manuel Nickschas
Introduce multi-line editing for the inputline

This introduces the new MultiLineEdit that basically enhances the old InputLine widget by being

able to expand to show more than one line. All non-editing related things have been moved out of the

MultiLineEdit to ease reuse in other widgets. For example, InputWidget-specific keypresses are now handled
in InputWidget rather than MultiLineEdit.

Closes #209, closes #213, fixes #386. Thanks to Squider for input (I saw your patch too late, but | did refactor
things anyway...)

Revision f047a4{7 - 08/16/2009 01:03 PM - Manuel Nickschas

Introduce multi-line editing for the inputline

This introduces the new MultiLineEdit that basically enhances the old InputLine widget by being

able to expand to show more than one line. All non-editing related things have been moved out of the

MultiLineEdit to ease reuse in other widgets. For example, InputWidget-specific keypresses are now handled
in InputWidget rather than MultiLineEdit.

Closes #209, closes #213, fixes #386. Thanks to Squider for input (I saw your patch too late, but | did refactor
things anyway...)

History

#1 - 12/28/2008 01:50 AM - Sputnick
- Priority changed from High to Normal

#2 - 03/17/2009 11:56 PM - DevUrandom

How is this related to #443, which is about tab completion?
It is merely related to #386, imo.

#3 - 08/14/2009 08:19 PM - Sputnick
- Status changed from New to Assigned
- Assignee set to Sputnick

- Target version set to 0.5.0

#4 - 08/16/2009 01:04 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset f047a4f7add72ef7e32ad33f884e62a5773ecc72.
https://bugs.quassel-irc.org/issues/443
https://bugs.quassel-irc.org/issues/386
https://bugs.quassel-irc.org/projects/quassel-irc/repository/revisions/f047a4f7add72ef7e32ad33f884e62a5773ecc72

Files

0001-prevent-automatic-pastes-instead-just-display-the-w.patch 1.58 KB 07/05/2008 admin
